TagLib::DSDIFF Namespace Reference

An implementation of DSDIFF metadata. More...

## Namespaces

namespace | DIIN

## Classes

class | File
| An implementation of TagLib::File with DSDIFF specific methods. More...
class | Properties
| An implementation of audio property reading for DSDIFF. More...

## Detailed Description

An implementation of DSDIFF metadata.

This is an implementation of DSDIFF metadata.

This supports an ID3v2 tag as well as reading stream from the ID3 RIFF chunk as well as properties from the file. Description of the DSDIFF format is available at DSDIFF_1.5_Spec.pdf. The DSDIFF standard does not explicitly specify the ID3 chunk. It can be found at the root level, but also sometimes inside the PROP chunk. In addition, title and artist info are stored as part of the standard.